Bug 1823218 - Performance graph not scalled correctly
Summary: Performance graph not scalled correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 33
Hardware: aarch64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-12 20:28 UTC by Peter Larsen
Modified: 2020-10-03 00:56 UTC (History)
3 users (show)

Fixed In Version: virt-manager-3.1.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-03 00:56:21 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot showing the graphs not aligning correctly. (73.16 KB, image/png)
2020-04-12 20:28 UTC, Peter Larsen
no flags Details

Description Peter Larsen 2020-04-12 20:28:24 UTC
Created attachment 1678297 [details]
Screenshot showing the graphs not aligning correctly.

Description of problem:
When viewing a virtual machine "performance" tab, the graphs are not scaled correctly.

Version-Release number of selected component (if applicable):
$ rpm -q virt-manager
virt-manager-2.2.1-2.fc31.noarch

How reproducible:
Every time 

Steps to Reproduce:
1. Create VM
2. Follow along in the performance tab under settings under heavy load

VMs are typically under heavy load when this is shown. Multiple cores and 8-16GB of memory per VM.

Comment 1 Cole Robinson 2020-09-11 13:40:27 UTC
Thanks for the report. Fixed upstream now:

commit 5643a560d54632439ddced15a494c359c2634295
Author: Cole Robinson <crobinso>
Date:   Thu Sep 10 17:10:57 2020 -0400

    domain: Fix details performance page graph scaling

Comment 2 Cole Robinson 2020-09-15 21:51:49 UTC
I won't be backporting this to f31. If you'd like to use a F31 version with the fix you can get virt-manager from virt-preview, fixed version should have it tomorrow: https://copr.fedorainfracloud.org/coprs/g/virtmaint-sig/virt-preview/

Moving this to f33 where it will be fixed

Comment 3 Fedora Update System 2020-09-15 21:52:11 UTC
FEDORA-2020-656e86b662 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-656e86b662

Comment 4 Fedora Update System 2020-09-15 21:52:23 UTC
FEDORA-2020-656e86b662 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-656e86b662

Comment 5 Fedora Update System 2020-09-16 18:57:36 UTC
FEDORA-2020-656e86b662 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-656e86b662`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-656e86b662

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-01 01:20:39 UTC
FEDORA-2020-c30055ffe4 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c30055ffe4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c30055ffe4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-03 00:56:21 UTC
FEDORA-2020-c30055ffe4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.